libxml++-2_6-2-2.40.1-4.1.x86_64.rpm


Advertisement

Description

libxml++-2_6-2 - C++ Interface for XML Files

Distribution: openSUSE 42.1
Repository: Packman all
Package name: libxml++-2_6-2
Package version: 2.40.1
Package release: 4.1
Package architecture: x86_64
Package type: rpm
Installed size: 352.70 KB
Download size: 101.55 KB
Official Mirror: packman.inode.at
libXML++ provides a C++ interface for XML files. It presently uses libxml2 to access the XML files.

Alternatives

Provides

  • libxml++-2.6.so.2()(64bit)
  • libxml++-2_6-2 = 2.40.1-4.1
  • libxml++-2_6-2(x86-64) = 2.40.1-4.1

    Download

    Source package: libxml++26-2.40.1-4.1.src.rpm

    Install Howto

    1. Add the Packman repository:
      # zypper addrepo http://packman.inode.at/suse/openSUSE_Leap_42.1/ packman
    2. Install libxml++-2_6-2 rpm package:
      # zypper install libxml++-2_6-2

    Files

    • /usr/lib64/libxml++-2.6.so.2
    • /usr/lib64/libxml++-2.6.so.2.0.7
    • /usr/share/doc/packages/libxml++-2_6-2/AUTHORS
    • /usr/share/doc/packages/libxml++-2_6-2/COPYING
    • /usr/share/doc/packages/libxml++-2_6-2/ChangeLog
    • /usr/share/doc/packages/libxml++-2_6-2/NEWS
    • /usr/share/doc/packages/libxml++-2_6-2/README

    Changelog

    2016-02-05 - zaitor@opensuse.org - Rename package to libxml++26: Provide it as a compatability package. - Add a %define _name, and set it to libxml++. - Drop superfluous glibmm2-devel Requires from devel-package.

    2016-02-05 - zaitor@opensuse.org - Update to version 2.40.1: + Add a config-time test for support of std::exception_ptr. Don't try to use std::exception_ptr on a system where it does not exist (bgo#757042).

    2015-09-30 - zaitor@opensuse.org - Update to version 2.40.0: + Build improvements.

    2015-09-05 - zaitor@opensuse.org - Update to version 2.39.2: + SaxParser: Fix “double free or corruption” if a std::exception is thrown by a handler method. + Replace some (deprecated in C++11) std::auto_ptr by std::unique_ptr. There are still some auto_ptrs in header files bug replacing them would break ABI (bgo#753123).

    2015-07-25 - zaitor@opensuse.org - Update to version 2.39.1: + Use (and require) C++11.

    2015-07-23 - zaitor@opensuse.org - Run spec-cleaner, make spec more modern. - Replace glibmm2-devel and libxml2-devel for their pkgconfig() equivalents.

    2015-06-08 - zaitor@opensuse.org - Update to version 2.38.1: + Fix the build with C++11 compilers, such as MS Visual C++ 2013. Implicit conversions from streams to bool are no longer allowed. + Build: - Disable deprecated API in dependencies if - -enable-warnings=fatal. - Require libxml2 2.7.7 or later.

    2015-02-27 - zaitor@opensuse.org - Update to version 2.38.0: + No changes from last relase, stable version bump only.

    2015-01-28 - zaitor@opensuse.org - Update to version 2.37.2: + Add version information to libxml++config.h. + Document: Avoid possible null pointer dereference (bgo#732604). + Element::set_namespace_declaration(): Update the node's associated namespace. Add dom_update_namespace example program (bgo#737682). + Add Node::add_child_with_new_ns() (bgo#737682). + Schema: Don't use null pointers in get_name(), get_target_namespace() and get_version(). + Add XsdSchema and XsdValidator. Deprecate Schema and SchemaValidator. + Add RelaxNGSchema and RelaxNGValidator (bgo#737712). + Parser: Add input operator>>(std::istream& in, Parser& parser) (bgo#329281). + Documentation: Use doxygen-extra.css from the mm-common package. Requires mm-common 0.9.7 when configured to use maintainer-mode. + Build: Avoid infinite loop with Doxygen 1.8.6.

    2014-08-18 - fcrozat@suse.com - Add obsoletes/provides to baselibs.conf.

    Advertisement
    Advertisement